import { world, ChatSendBeforeEvent } from '@minecraft/server'

/**
 * 
 * @param {ChatSendBeforeEvent} data 
 * @returns 
 */
function chatrank(data){
    const tags = data.sender.getTags()
    let ranks = tags.filter(tag => tag.startsWith('rank:')).map(tag => tag.replace('rank:', ''))
    ranks = ranks.length ? ranks : ["§6Member"]
    
    if(data.message.startsWith("!*")){
        data.cancel = true
        return
    }
    const text = `§f[${ranks}§r§f] §7${data.sender.nameTag}: §f${data.message}`
    world.getDimension('overworld').runCommandAsync(`tellraw @a {"rawtext":[{"translate":${JSON.stringify(text)}}]}`)
    data.cancel = true
}
export { chatrank }